ome-common 5.2.0-m2

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::common::xml::dom::ParseParameters Struct Reference

Parameters controlling DOM writing. More...

`#include <ome/common/xml/dom/Document.h>`

## Public Member Functions
| ParseParameters ()
| Constructor.

## Public Attributes
xercesc::XercesDOMParser::ValSchemes | validationScheme
| Validation scheme.
bool | doNamespaces
| Use namespaces?
bool | doSchema
| Use schemas?
bool | handleMultipleImports
| Handle multiple imports?
bool | validationSchemaFullChecking
| Do full checking during validation?
bool | createEntityReferenceNodes
| Create entity reference nodes?

## Detailed Description

Parameters controlling DOM writing.

The DOMSerializer provides for some control over the process via DOMConfiguration. They are settable here to allow their use at a high level without the need to have access to the internals of the Xerces-C writing process. Simply create an instance of this class, adjust the parameters as needed, and then pass to a method call which uses WriteParameters as an optional argument.

If more precise control of the process is required, use the Xerces-C classes directly. These are simply a convienience for the common case and will not suit every situation.

The documentation for this struct was generated from the following file:

- ome/common/xml/dom/Document.h